org.apache.poi.openxml4j.util

## Class ZipArchiveThresholdInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.apache.poi.openxml4j.util.ZipArchiveThresholdInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      @Internal
      public class ZipArchiveThresholdInputStream
      extends java.io.FilterInputStream

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZipArchiveThresholdInputStream(java.io.InputStream is)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `read()`
    `int` | `read(byte[] b, int off, int len)`
    `void` | `setGuardState(boolean guardState)` De-/activate threshold check.
    `long` | `skip(long n)`

    - ### Methods inherited from class java.io.FilterInputStream

      `available, close, mark, markSupported, read, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZipArchiveThresholdInputStream

          public ZipArchiveThresholdInputStream(java.io.InputStream is)

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] b,
                          int off,
                          int len)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### skip

          public long skip(long n)
                    throws java.io.IOException

      Overrides:
        `skip` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### setGuardState

          public void setGuardState(boolean guardState)

      De-/activate threshold check. A disabled guard might make sense, when POI is processing its own temporary data (see #59743)
      Parameters:
        `guardState` - `true` (= default) enables the threshold check

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.